org.apache.felix.service.command

## Annotation Type Parameter

    @Retention(value=RUNTIME)
     @Target(value=PARAMETER)
    public @interface Parameter

### Field Summary

Fields
`static String` `UNSPECIFIED`

### Required Element Summary

Required Elements
`String` `absentValue` The default value of the parameter if its name is not present on the command line.
`String[]` `names` Parameter name and aliases which must start with the hyphen character.

### Optional Element Summary

Optional Elements
`String` `presentValue` The default value of the parameter if its name is present on the command line.

### Field Detail

#### UNSPECIFIED

    public static final String UNSPECIFIED

### Element Detail

#### names

    public abstract String[] names

Parameter name and aliases which must start with the hyphen character.

Returns:
  parameter names.

#### absentValue

    public abstract String absentValue

The default value of the parameter if its name is not present on the command line. This value is effectively the default value for the parameter.

Returns:
  default value of the parameter if its name is not present on the command line.

#### presentValue

    public abstract String presentValue

The default value of the parameter if its name is present on the command line. If this value is specified, then the command parsing will not expect a value on the command line for this parameter. If this value is UNSPECIFIED, then an argument must be specified on the command line for the parameter.

Returns:
  default value of the parameter if its name is present on the command line.

Default:
  "org.apache.felix.service.command.unspecified.parameter"